%define url_ver %(echo %{version}|cut -d. -f1,2)
%define subrel	1

Summary:	Optical Character Recognition program
Name:		ocrfeeder
Version:	0.7.11
Release:	%mkrel 4
License:	GPLv3+
URL:		https://wiki.gnome.org/OCRFeeder
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		ocrfeeder-0.7.5-mga-fix-desktop-file-version.patch
Patch1:		ocrfeeder-0.7.11-gnome-fix-pillow-PIL-imports-modules.patch
BuildArch:	noarch
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool >= 0.35.0
BuildRequires:	pygtk2.0-devel >= 2.16
BuildRequires:	gnome-python-gtkspell
BuildRequires:	python-pygoocanvas
BuildRequires:	python-imaging >= 1.1
BuildRequires:	python-pillow-sane
BuildRequires:	python-enchant
BuildRequires:	python-reportlab
Requires:	pygtk2 >= 2.13
Requires:	python-imaging >= 1.1
Requires:	python-pillow-sane
Requires:	unpaper >= 0.3
Requires:	python-pygoocanvas
Requires:	python-reportlab
Requires:	python-enchant
Requires:	gnome-python-gtkspell
Requires:	ghostscript

Suggests:	tesseract

%description
OCRFeeder is a complete Optical Character Recognition and Document Analysis
and Recognition program.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

# daviddavid: fix missing icons in iconsdir repertory for desktop menu entry
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp -pr resources/icons/ocrfeeder.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/*/%{name}.svg
%{_mandir}/man1/%{name}*1.*
%{py_sitedir}/%{name}/


%changelog
* Sat May 10 2014 daviddavid <daviddavid> 0.7.11-4.1.mga4
+ Revision: 621811
- rediff Patch0 to use %%apply_patches macro
- add Patch1 to fix PIL imports modules since Pillow package (mga#13313)
  * https://bugzilla.gnome.org/show_bug.cgi?id=712671
- fix missing icons in iconsdir repertory for desktop menu entry
- minor cosmetic change

* Sat Nov 09 2013 ovitters <ovitters> 0.7.11-4.mga4
+ Revision: 550193
- fix url

* Sun Nov 03 2013 fwang <fwang> 0.7.11-3.mga4
+ Revision: 549248
- add more requires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Mar 01 2013 obgr_seneca <obgr_seneca> 0.7.11-2.mga3
+ Revision: 400923
- Add missing br for python-enchant

  + ovitters <ovitters>
    - new version 0.7.11

* Sun Jan 13 2013 umeabot <umeabot> 0.7.10-2.mga3
+ Revision: 361777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 ovitters <ovitters> 0.7.10-1.mga3
+ Revision: 304655
- new version 0.7.10

* Wed Apr 11 2012 ovitters <ovitters> 0.7.9-1.mga3
+ Revision: 230281
- new version 0.7.9
- new version 0.7.8

* Sat Dec 10 2011 wally <wally> 0.7.7-1.mga2
+ Revision: 180315
- new version 0.7.7
- buildrequire and require python-reportlab
- handle gnome help files with find_lang macro
- use configure2_5x and makeinstall_std macros

  + fwang <fwang>
    - new version 0.7.6

  + mikala <mikala>
    - Fix file list

* Sat Jul 16 2011 mikala <mikala> 0.7.5-1.mga2
+ Revision: 124761
- Add python-enchant as BuildRequires

  + julien <julien>
    - suggest tesseract instead of ocrad
    - add missing buildrequires
    - better name for patch0
    - correct license tag
    - Created package structure for ocrfeeder.

